Bug 657158

Summary: [abrt] yelp-1:2.30.2-1.fc14: yelp_document_cancel_page: Process /usr/bin/yelp was killed by signal 6 (SIGABRT)
Product: [Fedora] Fedora Reporter: spm_jr
Component: yelpAssignee: Matthew Barnes <mbarnes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 14CC: bernie+fedora, cristian.ciupitu, datahal42, leon7302, marjan.grman, mbarnes, rutgersdata, sbonnevi, szoke.karcsi
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Unspecified   
Whiteboard: abrt_hash:215f6b65a60987681ae671ea7ac86a2d342a3b7b
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 691685 (view as bug list) Environment:
Last Closed: 2012-08-16 15:10:13 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace none

Description spm_jr 2010-11-25 00:20:50 EST
abrt version: 1.1.14
architecture: i686
Attached file: backtrace
cmdline: gnome-help ghelp:user-guide?gospanel-1
component: yelp
crash_function: yelp_document_cancel_page
executable: /usr/bin/yelp
kernel: 2.6.35.6-48.fc14.i686
package: yelp-1:2.30.2-1.fc14
rating: 4
reason: Process /usr/bin/yelp was killed by signal 6 (SIGABRT)
release: Fedora release 14 (Laughlin)
time: 1290577891
uid: 500

How to reproduce
-----
1.
2.
3.
d k
Comment 1 spm_jr 2010-11-25 00:20:52 EST
Created attachment 462816 [details]
File: backtrace
Comment 2 Bernie Innocenti 2010-11-30 18:45:40 EST
Package: yelp-1:2.30.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1 search for 'keyboard'
2.click on the Desktop User Guide link
Comment 3 rutgersdata 2010-11-30 19:25:15 EST
Package: yelp-1:2.30.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2. Launching Gnote
3.
Comment 4 Marjan Grman 2010-12-16 14:07:05 EST
Package: yelp-1:2.30.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. When I ran help
2. When I clicked on "Mahjongg Manual"
3.


Comment
-----
Just click on "Mahjongg Manual" in "Help 2.30.2"
Comment 5 Cristian Ciupitu 2010-12-18 16:08:47 EST
Package: yelp-1:2.30.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Start GNOME Video Arcade
2. Go to Help -> Contents


Comment
-----
I have gnome-video-arcade-0.7.0-1.fc13.x86_64.rpm. I don't know yet if it's reproduceable or not.
Comment 6 Cristian Ciupitu 2010-12-18 19:06:39 EST
Errata: Help -> Contents -> Introduction
Comment 7 Szőke Károly 2011-01-05 15:03:56 EST
Package: yelp-1:2.30.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.I don't remeber, sorry.
2.
3.
Comment 8 leon 2011-02-04 13:04:14 EST
Package: yelp-1:2.30.2-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.i don't no how did it happened
2.
3.
Comment 9 leon 2011-02-05 04:36:37 EST
Package: yelp-1:2.30.2-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.i don't no how did it happened
2.
3.
Comment 10 Steve Bonneville 2011-02-08 17:36:16 EST
Package: yelp-1:2.30.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.  Selected a link (to a GNU Info page?) in yelp.
2.  Crash.




Comment
-----
I wonder if it's possible the info page pointed to was in a package not installed on the system.  (Took long enough to load debuginfo that I'm not sure what link was hit anymore.)  :/

I also got an anecdotal report from a Red Hat field instructor today of intermittent crashes after clicking on results found by the Search function in yelp.  I don't have full characterization of these, but was working with yelp to try to reproduce when this occurred.  Those reports were against RHEL 6, but perhaps is relevant.
Comment 11 Steve Bonneville 2011-02-08 23:37:09 EST
Package: yelp-1:2.30.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Opened yelp.
2. On home screen, selected "GNU Info Pages"
3. Selected "Libraries" from left-hand list
4. Selected "Libc" from right-hand list
5. Crash.


Comment
-----
This time, glibc-devel is installed, so info pages are present; can view with info/pinfo from the command line with no problem.  

Oddly, when I attempted to reproduce this after the crash, it didn't crash, but instead of going to the Top node of the "GNU C Library Reference Manual", I got section 12.20.3 ("Controlling Which Kind of Buffering") as the first node displayed.  I note that this node is in the file /usr/share/info/libc.info-3.gz, if that matters.  Something is clearly not right here.
Comment 12 datahal42 2011-02-26 04:30:25 EST
Package: yelp-1:2.30.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.click gnu info in yelp
2.
3.
Comment 13 datahal42 2011-03-29 04:34:48 EDT
This bug is in the index of the infos and manpages :

yelp gzip info e.g:

#############################################################
Concept index

XML parsing error: not well well-formed 
location: file:///usr/share/info/gzip.info.gz#Concept_index
Line Number 32, Columm2:

##############################################################

index of all info and manpages on yelp is the bug.

I expect a response. thanks
Comment 14 datahal42 2011-03-29 04:53:24 EDT
1- the crash bug is because it enabled selinux.

2-when clicked, it opens the manpage and info on the previous error
Comment 15 Fedora End Of Life 2012-08-16 15:10:15 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping